package com.ifish.enums;

/**
 * 经验获取方式
 * @author Administrator
 */
public enum GradeGetTypeEnum {
	//一次加成
	bindDevice("bindDevice","绑定水族箱"),
	bindCamera("bindCamera","绑定摄像头"),
	//每天加成
	everyDayLogin("everyDayLogin","每天登陆");
	
	private String key;
	private String value;
	
	private GradeGetTypeEnum(String key,String value){
		this.key = key;
		this.value = value;
	}
	
	public String getKey(String key){
		for (GradeGetTypeEnum em : GradeGetTypeEnum.values()) {
			if(em.getKey().equals(key)){
				return em.getValue();
			}
		}
		return null;
	}
	
	public String getKey() {
		return key;
	}

	public String getValue() {
		return value;
	}
	
}
